def lunar_add(f, e):
    max_len = max(len(f), len(e))
    return "".join(str(max(int(x), int(y))) for x, y in zip(f.zfill(max_len), e.zfill(max_len))).lstrip('0') or '0'

def lunar_multiply(f, e):
    result = ['0'] * (len(f) + len(e) -1)
    for i, digit_f in enumerate(f):
        for j, digit_e in enumerate(e):
            result[i+j] = str(max(int(result[i+j]), min(int(digit_f), int(digit_e))))
    return "".join(result).lstrip('0') or '0'

f = input()
e = input()

print(lunar_add(f, e), lunar_multiply(f, e))
